<?php
//给post创建四个自定义分类法
add_action('init', 'ashu_post_type');
function ashu_post_type() {
  register_taxonomy(
    'province',
	'post',
	array(
	  'label' => '省',
	  'rewrite' => array( 'slug' => 'province' ),
	  'hierarchical' => true
	)
  );

  register_taxonomy(
    'city',
	'post',
	array(
	  'label' => '市',
	  'rewrite' => array( 'slug' => 'city' ),
	  'hierarchical' => true
	)
  );
  
  register_taxonomy(
    'genre',
	'post',
	array(
	  'label' => '类型',
	  'rewrite' => array( 'slug' => 'genre' ),
	  'hierarchical' => true
	)
  );
  
  register_taxonomy(
    'price',
	'post',
	array(
	  'label' => '价格',
	  'rewrite' => array( 'slug' => 'price' ),
	  'hierarchical' => true
	)
  );
}